Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.blockingstep
Class BlockingStepData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.blockingstep.BlockingStepData

All Implemented Interfaces:
  StepDataInterface

    public class BlockingStepData

extends BaseStepData
implements StepDataInterface

Field Summary
`List<Object[]>` | `buffer`
`List<DataInputStream>` | `dis`
`int[]` | `fieldnrs`
`org.apache.commons.vfs.FileObject` | `fil`
`List<org.apache.commons.vfs.FileObject>` | `files`
`List<InputStream>` | `fis`
`List<GZIPInputStream>` | `gzis`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`List<Object[]>` | `rowbuffer`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`BlockingStepData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### files

    public List<org.apache.commons.vfs.FileObject> files

### buffer

    public List<Object[]> buffer

### fis

    public List<InputStream> fis

### gzis

    public List<GZIPInputStream> gzis

### dis

    public List<DataInputStream> dis

### rowbuffer

    public List<Object[]> rowbuffer

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### fieldnrs

    public int[] fieldnrs

### fil

    public org.apache.commons.vfs.FileObject fil

Constructor Detail

### BlockingStepData

    public BlockingStepData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD